---
title: "Retrieve Specific Business Partners by Code"
slug: "retrieve-specific-business-partners-by-code"
updated: 2026-05-26T12:48:31Z
published: 2026-05-26T12:48:45Z
canonical: "developers.cmicglobal.com/retrieve-specific-business-partners-by-code"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Specific Business Partners by Code

Get/sys-rest-api/rest/1/businesspartner

## Query Standards

### Finder

Following row finders are available for data filtering and optimizing request performance.

- Select by Business Partner
- Select by Audit Date
- By UUID

#### Select by Business Partner

Recommended finder parameters. Refer to Query Parameters for example.

| Parameter | Description | Sample |
| --- | --- | --- |
| businessPartner | Business Partner Code | AGO |

#### Select by Audit Date

This is an optional finder for querying Business Partners by Audit Date.

| Parameter | Description | Sample |
| --- | --- | --- |
| auditDate | create or update date time filter | 2022-12-20 |

#### By UUID

This is an optional finder for querying a specific Business Partner by row ID.

| Parameter | Description | Sample |
| --- | --- | --- |
| /VUUID | The VUuid attribute is the Unique row ID | /sys-rest-api/rest/1/businesspartner/AC6B64BFDB14979DE053B08610ACC528 |

SecurityHTTPType basic

Basic authentication

Query parametersfinderstringExampleselectBusinessPartner;businessPartner=AGO
limitintegerExample500
offsetintegerExample0
totalResultsbooleanExampletrue
orderBystringExampleBpCode:desc

Responses200

OK

HeadersContent-TypestringExampleapplication/vnd.oracle.adf.resourcecollection+json
<select class='api-response-data' aria-label='Media type'><option value='219961ee-d6b5-40e2-a29b-88124c6197e3'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='07b01965-4a3b-463a-8a00-83bed88b54dc'>example-0</option>
<option value='d7c20079-8d85-47e2-aed1-5c175cef4bea'>example-1</option>
</select>example-0

Successful Response - Finder - selectBusinessPartner

```json
{
  "items": [
    {
      "Bp1099Code": "X",
      "Bp1099Name": "Exempt",
      "BpAbbrevCode": "AGO",
      "BpActiveFlag": "Y",
      "BpAdd1": "317 Dundas St. W",
      "BpAdd2": null,
      "BpAdd3": "Toronto",
      "BpAkaName": "Art Gallery of Ontario",
      "BpClassCode": null,
      "BpClassName": null,
      "BpClvValueCode1": null,
      "BpClvValueCode1Prompt": null,
      "BpClvValueCode2": null,
      "BpClvValueCode2Prompt": null,
      "BpClvValueCode3": null,
      "BpClvValueCode3Prompt": null,
      "BpClvValueCode4": null,
      "BpClvValueCode4Prompt": null,
      "BpClvValueCode5": null,
      "BpClvValueCode5Prompt": null,
      "BpClvValueCode6": null,
      "BpClvValueCode6Prompt": null,
      "BpCode": "AGO",
      "BpContactName": null,
      "BpCountry": "Canada",
      "BpCreateDefaultCustComp": "        ",
      "BpCreateDefaultVendorComp": "        ",
      "BpCustBalAmt": 0,
      "BpCustomerStatusFlag": "Y",
      "BpDispatchFlag": "N",
      "BpEmail": null,
      "BpFax": "416-555-9999",
      "BpLegalName": "Art Gallery of Ontario Ltd.",
      "BpLegalentTypeCode": "CHAR",
      "BpLegalentTypeName": "Charity/Non Profit",
      "BpModFlag": null,
      "BpName": "Art Gallery of Ontario",
      "BpOmOnlyFlag": "N",
      "BpOneTimeFlag": "N",
      "BpParentCode": null,
      "BpParentName": null,
      "BpPhone": "416-555-1212",
      "BpPostalCode": "M6T 2Y7",
      "BpPrequalRequiredFlag": "N",
      "BpRegionCode": "ON",
      "BpRegionName": "Ontario",
      "BpRegistrationCode": "127309837",
      "BpShortName": "Art Gallery of ",
      "BpSsnFlag": "N",
      "BpStartDate": "2014-12-31",
      "BpSysBpAutoNumberFlag": "N",
      "BpTypeCode": "P",
      "BpUeValidFlag": "Y",
      "BpVUuid": "AC6B64BFDB14979DE053B08610ACC528",
      "BpVatCountryCode": null,
      "BpVatRegistrationNum": null,
      "BpVendorStatusFlag": "N",
      "BpWebSite": null,
      "BpIuCreateDate": "2015-04-08T19:12:10Z",
      "BpIuUpdateDate": "2016-08-08T14:57:56Z",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestupg/sys-rest-api/rest/1/businesspartner/AC6B64BFDB14979DE053B08610ACC528",
          "name": "businesspartner",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestupg/sys-rest-api/rest/1/businesspartner/AC6B64BFDB14979DE053B08610ACC528",
          "name": "businesspartner",
          "kind": "item"
        }
      ]
    }
  ],
  "count": 1,
  "hasMore": false,
  "limit": 25,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestupg/sys-rest-api/rest/1/businesspartner",
      "name": "businesspartner",
      "kind": "collection"
    }
  ]
}
```

example-1

Successful Response - Finder - selectByDate

```json
{
  "items": [
    {
      "Bp1099Code": "X",
      "Bp1099Name": "Exempt",
      "BpAbbrevCode": "AGO",
      "BpActiveFlag": "Y",
      "BpAdd1": "317 Dundas St. W",
      "BpAdd2": null,
      "BpAdd3": "Toronto",
      "BpAkaName": "Art Gallery of Ontario",
      "BpClassCode": null,
      "BpClassName": null,
      "BpClvValueCode1": null,
      "BpClvValueCode1Prompt": null,
      "BpClvValueCode2": null,
      "BpClvValueCode2Prompt": null,
      "BpClvValueCode3": null,
      "BpClvValueCode3Prompt": null,
      "BpClvValueCode4": null,
      "BpClvValueCode4Prompt": null,
      "BpClvValueCode5": null,
      "BpClvValueCode5Prompt": null,
      "BpClvValueCode6": null,
      "BpClvValueCode6Prompt": null,
      "BpCode": "AGO",
      "BpContactName": null,
      "BpCountry": "Canada",
      "BpCreateDefaultCustComp": "        ",
      "BpCreateDefaultVendorComp": "        ",
      "BpCustBalAmt": 0,
      "BpCustomerStatusFlag": "Y",
      "BpDispatchFlag": "N",
      "BpEmail": null,
      "BpFax": "416-555-9999",
      "BpLegalName": "Art Gallery of Ontario Ltd.",
      "BpLegalentTypeCode": "CHAR",
      "BpLegalentTypeName": "Charity/Non Profit",
      "BpModFlag": null,
      "BpName": "Art Gallery of Ontario",
      "BpOmOnlyFlag": "N",
      "BpOneTimeFlag": "N",
      "BpParentCode": null,
      "BpParentName": null,
      "BpPhone": "416-555-1212",
      "BpPostalCode": "M6T 2Y7",
      "BpPrequalRequiredFlag": "N",
      "BpRegionCode": "ON",
      "BpRegionName": "Ontario",
      "BpRegistrationCode": "127309837",
      "BpShortName": "Art Gallery of ",
      "BpSsnFlag": "N",
      "BpStartDate": "2014-12-31",
      "BpSysBpAutoNumberFlag": "N",
      "BpTypeCode": "P",
      "BpUeValidFlag": "Y",
      "BpVUuid": "AC6B64BFDB14979DE053B08610ACC528",
      "BpVatCountryCode": null,
      "BpVatRegistrationNum": null,
      "BpVendorStatusFlag": "N",
      "BpWebSite": null,
      "BpIuCreateDate": "2015-04-08T19:12:10Z",
      "BpIuUpdateDate": "2016-08-08T14:57:56Z",
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/sys-rest-api/rest/1/businesspartner/AC6B64BFDB14979DE053B08610ACC528",
          "name": "businesspartner",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/sys-rest-api/rest/1/businesspartner/AC6B64BFDB14979DE053B08610ACC528",
          "name": "businesspartner",
          "kind": "item"
        }
      ]
    }
  ],
  "count": 1,
  "hasMore": false,
  "limit": 25,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/sys-rest-api/rest/1/businesspartner",
      "name": "businesspartner",
      "kind": "collection"
    }
  ]
}
```

object
